XnModuleAlternativeViewPointInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnBool(* | IsViewPointSupported )(XnModuleNodeHandle hGenerator, XnNodeHandle hOther)
XnStatus(* | SetViewPoint )(XnModuleNodeHandle hGenerator, XnNodeHandle hOther)
XnBool(* | IsViewPointAs )(XnModuleNodeHandle hGenerator, XnNodeHandle hOther)
XnStatus(* | ResetViewPoint )(XnModuleNodeHandle hGenerator)
XnStatus(* | RegisterToViewPointChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromViewPointChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Member Data Documentation

## IsViewPointAs

XnBool(* XnModuleAlternativeViewPointInterface::IsViewPointAs) (XnModuleNodeHandle hGenerator, XnNodeHandle hOther)

Checks if current view point is as if coming from the other node view point.

Parameters

  hGenerator | [in] A handle to the instance.
  hOther | [in] The view point to be checked.

## IsViewPointSupported

XnBool(* XnModuleAlternativeViewPointInterface::IsViewPointSupported) (XnModuleNodeHandle hGenerator, XnNodeHandle hOther)

Checks if this generator can change its output to look like as if it was taken from a different location, represented by another generator.

Parameters

  hGenerator | [in] A handle to the instance.
  hOther | [in] The view point to be checked.

Returns
  TRUE if view point is supported, FALSE otherwise.

## RegisterToViewPointChange

XnStatus(* XnModuleAlternativeViewPointInterface::RegisterToViewPointChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to view point changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when view point changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromViewPointChange().

## ResetViewPoint

XnStatus(* XnModuleAlternativeViewPointInterface::ResetViewPoint) (XnModuleNodeHandle hGenerator)

Sets the view point of this generator to its normal one.

Parameters

  hGenerator | [in] A handle to the instance.

## SetViewPoint

XnStatus(* XnModuleAlternativeViewPointInterface::SetViewPoint) (XnModuleNodeHandle hGenerator, XnNodeHandle hOther)

Sets the view point of this generator to look like as if placed at another generator location.

Parameters

  hGenerator | [in] A handle to the instance.
  hOther | [in] The view point to be set.

## UnregisterFromViewPointChange

void(* XnModuleAlternativeViewPointInterface::UnregisterFromViewPointChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToViewPointChange().

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToViewPointChange().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h